#1 03-05-2015 17:57

Goldfish
From: Псков
Registered: 21-04-2015
Posts: 176
Website

НЕ КОМПЕЛИРУЕТСЯ SCM.MAIN новой версии SB 3.2.2 ( ! )

Вот такая бида, в старых версиях SB такого не было, а теперь при компеляции родного мейна выдает ошибку на не верное кол-тво условий sad
-------------
Разберитесь пожалуйста!!

Last edited by Goldfish (03-05-2015 17:58)

Offline

#2 04-05-2015 10:33

bepsik
Registered: 29-05-2011
Posts: 8

Re: НЕ КОМПЕЛИРУЕТСЯ SCM.MAIN новой версии SB 3.2.2 ( ! )

Sanny Builder тебе показывает строку где ошибка. Это участок кода

:SYND4_3650
if 
jf @SYND4_3672 
wait 0 
jump @SYND4_3650

здесь происходит псевдо проверка, которая не делает ничего. просто удали или закомментируй строку

// if

Или может лучше переписать этот код как (это надо тестировать)

:SYND4_3650
wait 0
jump @SYND4_3672

Поэтому создавай клео скрипты, либо бери чистый мэйн.
Компиляция пишется через И

Last edited by bepsik (04-05-2015 10:53)

Offline

#3 11-05-2015 22:42

Goldfish
From: Псков
Registered: 21-04-2015
Posts: 176
Website

Re: НЕ КОМПЕЛИРУЕТСЯ SCM.MAIN новой версии SB 3.2.2 ( ! )

благодарю! хоть знать терь буду..

Offline

Board footer

Powered by FluxBB